Prima::Image::TransparencyControl - standard dialog for transparent color index selection. The module contains two classes - Prima::Image::BasicTransparencyDialog and Prima::Image::TransparencyControl. The former provides a dialog, used by image codec-specific save options dialogs to select a transparent color index when saving an image to a file. Prima::Image::TransparencyControl is a widget class that displays the image palette and allow color rather than index selection.

Properties
Selects the palette index. Selects image which palette is displayed, and the color index can be selected from.

Events
Triggered when the user changes index property.

Methods
If 1, the transparent selection widgets are enabled, and the user can select the palette index. If 0, the widgets are disabled; the image file is saved with no transparent color index. The property can be toggled interactively by a checkbox. Dmitry Karasik, <dmitry@karasik.eu.org>. the Prima::ImageDialog manpage. for transparent color index selection."